/*--------------------------------------------------------------
# General
--------------------------------------------------------------*/
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

:root {
  scroll-behavior: smooth;
}

html, body {
  height: 100%;
  margin: 0;
  padding: 0;
}

body {
  font-family: 'Open Sans', sans-serif;
  background: #F1F2F2;
  color: #444;
  display: flex;
  flex-direction: column;
}

a {
  color: #10416A;
  text-decoration: none;
}

a:hover {
  color: #0070C0;
  text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: 'Lato', sans-serif;
}

/*--------------------------------------------------------------
# Main
--------------------------------------------------------------*/
#main {
  margin-top: 4%;
  padding: 1% 1%;
  transition: all 0.3s;
}

@media (max-width: 992px) {
  #main {
    padding: 4% 5%;
  }
}

@media (max-width: 768px) {
  #main {
    padding: 5% 6%;
  }
}

@media (max-width: 576px) {
  #main {
    padding: 6% 7%;
  }
}

main {
  flex-grow: 1;
}

img {
  max-width: 100%;
  height: auto;
}

/*--------------------------------------------------------------
# Page Title
--------------------------------------------------------------*/
.pagetitle {
  margin-bottom: 10px;
  position: sticky;
  top: 0;
  z-index: 1;
  /* Optional: adjust the z-index as needed */

}

.scrollable-content {
  max-height: 600px;
  /* Adjust the maximum height as needed */
  overflow-y: auto;
  /* Add a vertical scrollbar when content overflows */
}

.pagetitle h1 {
  font-size: 24px;
  margin-bottom: 0;
  font-weight: 600;
  color: #000000;
}

/*--------------------------------------------------------------
# Back to top button
--------------------------------------------------------------*/
.back-to-top {
  position: fixed;
  visibility: hidden;
  opacity: 0;
  right: 15px;
  bottom: 15px;
  z-index: 99999;
  background: #4154f1;
  width: 40px;
  height: 40px;
  border-radius: 4px;
  transition: all 0.4s;
}

.back-to-top i {
  font-size: 24px;
  color: #fff;
  line-height: 0;
}

.back-to-top:hover {
  background: #6776f4;
  color: #fff;
}

.back-to-top.active {
  visibility: visible;
  opacity: 1;
}

/*--------------------------------------------------------------
# Override some default Bootstrap stylings
--------------------------------------------------------------*/
/* Dropdown menus */
.dropdown-menu {
  border-radius: 4px;
  padding: 10px 0;
  animation-name: dropdown-animate;
  animation-duration: 0.2s;
  animation-fill-mode: both;
  border: 0;
  box-shadow: 0 5px 30px 0 rgba(82, 63, 105, 0.2);
}

.dropdown-menu .dropdown-header,
.dropdown-menu .dropdown-footer {
  text-align: center;
  font-size: 15px;
  padding: 10px 25px;
}

.dropdown-menu .dropdown-footer a {
  color: #444444;
  text-decoration: underline;
}

.dropdown-menu .dropdown-footer a:hover {
  text-decoration: none;
}

.dropdown-menu .dropdown-divider {
  color: #a5c5fe;
  margin: 0;
}

.dropdown-menu .dropdown-item {
  font-size: 14px;
  padding: 10px 15px;
  transition: 0.3s;
}

.dropdown-menu .dropdown-item i {
  margin-right: 10px;
  font-size: 18px;
  line-height: 0;
}

.dropdown-menu .dropdown-item:hover {
  background-color: #f6f9ff;
}

@media (min-width: 768px) {
  .dropdown-menu-arrow::before {
    content: "";
    width: 13px;
    height: 13px;
    background: #fff;
    position: absolute;
    top: -7px;
    right: 20px;
    transform: rotate(45deg);
    border-top: 1px solid #eaedf1;
    border-left: 1px solid #eaedf1;
  }
}

@keyframes dropdown-animate {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }

  0% {
    opacity: 0;
  }
}

/* Light Backgrounds */
.bg-primary-light {
  background-color: #cfe2ff;
  border-color: #cfe2ff;
}

.bg-secondary-light {
  background-color: #e2e3e5;
  border-color: #e2e3e5;
}

.bg-success-light {
  background-color: #d1e7dd;
  border-color: #d1e7dd;
}

.bg-danger-light {
  background-color: #f8d7da;
  border-color: #f8d7da;
}

.bg-warning-light {
  background-color: #fff3cd;
  border-color: #fff3cd;
}

.bg-info-light {
  background-color: #cff4fc;
  border-color: #cff4fc;
}

.bg-dark-light {
  background-color: #d3d3d4;
  border-color: #d3d3d4;
}

/* Card */
.card {
  margin-bottom: 30px;
  border: none;
  border-radius: 5px;
  box-shadow: 0px 0 30px rgba(1, 41, 112, 0.1);
}

.card-header,
.card-footer {
  border-color: #ebeef4;
  background-color: #fff;
  color: #798eb3;
  padding: 15px;
}

.card-title {
  padding: 20px 0 15px 0;
  font-size: 13px;
  color: #012970;
  font-family: 'Lato', sans-serif;
}

.card-title span {
  color: #899bbd;
  font-size: 14px;
  font-weight: 400;
}

.card-body {
  padding: 0 20px 20px 20px;
}

.card-img-overlay {
  background-color: rgba(255, 255, 255, 0.6);
}

/* Alerts */
.alert-heading {
  font-family: 'Lato', sans-serif;
  font-size: 13px;
}

/* Close Button */
/* .btn-close {
  background-size: 25%;
} */

.btn-close:focus {
  outline: 0;
  box-shadow: none;
}

/* Accordion */
.accordion-item {
  border: 1px solid #ebeef4;
}

.accordion-button:focus {
  outline: 0;
  box-shadow: none;
}

.accordion-button:not(.collapsed) {
  color: #012970;
  background-color: #f6f9ff;
}

.accordion-flush .accordion-button {
  padding: 15px 0;
  background: none;
  border: 0;
}

.accordion-flush .accordion-button:not(.collapsed) {
  box-shadow: none;
  color: #4154f1;
}

.accordion-flush .accordion-body {
  padding: 0 0 15px 0;
  color: #3e4f6f;
  font-size: 15px;
}

/* Breadcrumbs */
.breadcrumb {
  font-size: 14px;
  font-family: 'Lato', sans-serif;
  color: #ffffff;
}

.breadcrumb a {
  color: #899bbd;
  transition: 0.3s;
}

.breadcrumb a:hover {
  color: #51678f;
}

.breadcrumb .breadcrumb-item::before {
  color: #899bbd;
}

.breadcrumb .active {
  color: #51678f;
  font-weight: 600;
}

/* Bordered Tabs */
.nav-tabs-bordered {
  border-bottom: 2px solid #ebeef4;
}

.nav-tabs-bordered .nav-link {
  margin-bottom: -2px;
  border: none;
  color: #2c384e;
}

.nav-tabs-bordered .nav-link:hover,
.nav-tabs-bordered .nav-link:focus {
  color: #4154f1;
}

.nav-tabs-bordered .nav-link.active {
  background-color: #fff;
  color: #4154f1;
  border-bottom: 2px solid #4154f1;
}

/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/
.logo {
  line-height: 1;

}

@media (min-width: 1200px) {
  .logo {
    width: 230px;
  }
}

.logo img {
  max-height: 26px;
  margin-right: 6px;
}

.logo span {
  font-size: 28px;
  font-weight: 800;
  color: #fff;
  font-family: 'Lato', sans-serif;
  text-align: center;
}

.header {
  transition: all 0.5s;
  z-index: 997;
  height: 8%;
  box-shadow: 0px 2px 20px rgba(1, 41, 112, 0.1);
  background-color: #10416A;
  padding-left: 20px;
  /* Toggle Sidebar Button */
}

.header .toggle-sidebar-btn {
  font-size: 32px;
  padding-left: 10px;
  cursor: pointer;
  color: #fff;
}

/*--------------------------------------------------------------
# Header Nav
--------------------------------------------------------------*/
.header-nav ul {
  list-style: none;
}

.header-nav>ul {
  margin: 0;
  padding: 0;
}

.header-nav .nav-icon {
  font-size: 22px;
  color: #fff;
  margin-right: 25px;
  position: relative;
}

.header-nav .nav-profile {
  color: #012970;
}

.header-nav .nav-profile img {
  max-height: 36px;
}

.header-nav .nav-profile span {
  font-size: 14px;
  font-weight: 600;
}

.header-nav .badge-number {
  position: absolute;
  inset: -2px -5px auto auto;
  font-weight: normal;
  font-size: 12px;
  padding: 3px 6px;
}

.header-nav .profile {
  min-width: 240px;
  padding-bottom: 0;
  top: 8px !important;
}

.header-nav .profile .dropdown-header h6 {
  font-size: 18px;
  margin-bottom: 0;
  font-weight: 600;
  color: #444444;
}

.header-nav .profile .dropdown-header span {
  font-size: 14px;
}

.header-nav .profile .dropdown-item {
  font-size: 14px;
  padding: 10px 15px;
  transition: 0.3s;
}

.header-nav .profile .dropdown-item i {
  margin-right: 10px;
  font-size: 18px;
  line-height: 0;
}

.header-nav .profile .dropdown-item:hover {
  background-color: #f6f9ff;
}

/*--------------------------------------------------------------
# Sidebar
--------------------------------------------------------------*/
.sidebar {
  position: fixed;
  top: 8%;
  left: 0;
  bottom: 0;
  width: 300px;
  z-index: 996;
  transition: all 0.3s;
  padding: 1%;
  overflow-y: auto;
  scrollbar-width: thin;
  scrollbar-color: #aab7cf transparent;
  box-shadow: 0px 0px 20px rgba(1, 41, 112, 0.1);
  background-color: #fff;
}

@media (max-width: 1199px) {
  .sidebar {
    left: -300px;
  }
}

.sidebar::-webkit-scrollbar {
  width: 5px;
  height: 8px;
  background-color: #fff;
}

.sidebar::-webkit-scrollbar-thumb {
  background-color: #aab7cf;
}

@media (min-width: 1200px) {

  #main,
  #footer {
    margin-left: 300px;
  }
}

@media (max-width: 1199px) {
  .toggle-sidebar .sidebar {
    left: 0;
  }
}

@media (min-width: 1200px) {

  .toggle-sidebar #main,
  .toggle-sidebar #footer {
    margin-left: 0;
  }

  .toggle-sidebar .sidebar {
    left: -300px;
  }
}

.sidebar-nav {
  padding: 0;
  margin: 0;
  list-style: none;
}

.sidebar-nav li {
  padding: 0;
  margin: 0;
  list-style: none;
}

.sidebar-nav .nav-item {
  margin-bottom: 5px;
}

.sidebar-nav .nav-heading {
  font-size: 11px;
  text-transform: uppercase;
  color: #F1F2F2;
  margin: 10px 0 5px 15px;
}

.sidebar-nav .nav-link {
  display: flex;
  align-items: center;
  font-size: 15px;
  color: #0070C0;
  transition: 0.3;
  background: #F1F2F2;
  padding: 10px 15px;
  border-radius: 4px;
}

.sidebar-nav .nav-link i {
  font-size: 15px;
  margin-right: 10px;
  color: #0070C0;
}

.sidebar-nav .nav-link.collapsed {
  color: #0070C0;
  background: #fff;
}

.sidebar-nav .nav-link.collapsed i {
  color: #0a60ff;
}

.sidebar-nav .nav-link:hover {
  color: #0070C0;
  background: #C4D602;
}

.sidebar-nav .nav-link:hover i {
  color: #0070C0;
}

.sidebar-nav .nav-link .bi-chevron-down {
  margin-right: 0;
  transition: transform 0.2s ease-in-out;
}

.sidebar-nav .nav-link:not(.collapsed) .bi-chevron-down {
  transform: rotate(180deg);
}

.sidebar-nav .nav-content {
  padding: 5px 0 0 0;
  margin: 0;
  list-style: none;
}

.sidebar-nav .nav-content a {
  display: flex;
  align-items: center;
  font-size: 14px;
  color: #0070C0;
  transition: 0.3;
  padding: 10px 0 10px 40px;
  transition: 0.3s;
}

.sidebar-nav .nav-content a i {
  font-size: 6px;
  margin-right: 8px;
  line-height: 0;
  border-radius: 50%;
}

.sidebar-nav .nav-content a:hover,
.sidebar-nav .nav-content a.active {
  color: #0070C0;
}

.sidebar-nav .nav-content a.active i {
  background-color: #0070C0;
}

/*--------------------------------------------------------------
# Profie Page
--------------------------------------------------------------*/
.profile .profile-card img {
  max-width: 120px;
}

.profile .profile-card h2 {
  font-size: 24px;
  font-weight: 700;
  color: #2c384e;
  margin: 10px 0 0 0;
}

.profile .profile-card h3 {
  font-size: 18px;
}

.profile .profile-card .social-links a {
  font-size: 20px;
  display: inline-block;
  color: rgba(1, 41, 112, 0.5);
  line-height: 0;
  margin-right: 10px;
  transition: 0.3s;
}

.profile .profile-card .social-links a:hover {
  color: #012970;
}

.profile .profile-edit label {
  font-weight: 600;
  color: rgba(1, 41, 112, 0.6);
}

.profile .profile-edit img {
  max-width: 120px;
}

/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/
.footer {
  background-color: #10416A;
  color: rgb(255, 255, 255);
  align-items: center;
  justify-content: center;
  text-align: center;
  display: flex;
  flex-direction: column;

  .copyright p {
    border-top: 1px solid rgba(255, 255, 255, .1);
    margin-bottom: 8px;
    /* Adjust the margin as needed */
  }

}

/*MGA NADUGANG*/
.signout {
  width: 100%;
  padding: var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);
  clear: both;
  margin-right: 20px;
  font-weight: 400;
  color: white;
  text-align: inherit;
  text-decoration: none;
  white-space: nowrap;
  background-color: transparent;
  border: 0;
  border-radius: var(--bs-dropdown-item-border-radius, 0);
}

.nav-item.active .nav-link {
  background-color: #C4D602;
  color: #fff;
}

.rounded-circle {
  border-radius: 50%;
}

.nav-link.active {
  background-color: #C4D602;
  /* Or any other color you prefer */
}

.wider-modal .modal-dialog {
  max-width: 60%;
  /* Adjust the width as per your preference (e.g., 90%) */
}

/* Set the table width to 100% within the card body */
.card .table-responsive {
  width: 100%;
  overflow-x: auto;

}
@media (max-width: 767px) {
  /* Adjust table styles for smaller screens */
  .table-responsive {
      overflow-x: auto; /* Add horizontal scrolling for smaller screens */
      max-width: 100%; /* Ensure the table does not exceed the modal's width */
  }
}
/* Media query for smaller screens where card body width may change */
@media (max-width: 1199px) {
  .card .table-responsive {
    width: 100%;
    /* Adjust to take up the full width */
  }
}

/* Center align text in all table cells */
#myDataTable td,
#myDataTable th,
#jobTable td,
#jobTable th {
  text-align: center;
  padding: 5px;
  font-size: 15px;

}
/* 2 is the column index, change it based on your table structure */
#jobTable td:nth-child(3) {
  text-align: center;
  /* Left align specific columns */
}
.table-container {
  margin-top: 30px; /* Adjust the value as needed */
}

/* Increase the height of the breadcrumb */
.breadcrumb {
  padding: 10px;
}

/* Adjust the height of each breadcrumb item */
.breadcrumb-item {
  margin-bottom: 10px;
  margin-top: 10px;
}

.input-group.date .input-group-addon {
  width: 40px;
}

.input-group-addon .input-group-text i {
  font-size: 23px;
}

.input-group-addon {
  padding: 0;
}

/* .modal-body .form-control {
  margin-bottom: 5px;
} */

/* Optional: Add some spacing between rows */
.modal-body .row {
  margin-bottom: 10px;
  /* Adjust the margin as needed */
}

.dropdown-menu {
  background-color: #000;
  /* Set the background color to black */
}

/* Style for the dropdown items */
.dropdown-item {
  color: #000 !important;
  /* Set the text color to white */
}

/* Style for the dropdown items on hover */
.dropdown-item:hover {
  background-color: #333;
  /* Set a darker background color on hover */
  color: #000 !important;
  /* Set the text color to white on hover */
}

/* //mariedel */

/* Adjust font size for th elements */
#myDataTable th {
    font-size: 12px; /* Adjust the size as needed */
}

/* Adjust font size for td elements */
#myDataTable td {
    font-size: 12px; /* Adjust the size as needed */
}

.container1{
  position: relative;
  width: 100%;
  border-radius: 6px;
  padding: 30px;
  background-color: #fff;
  box-shadow: 0 5px 10px rgba(0,0,0,0.1);
}

.container1 form{
  position: relative;
  margin-top: 16px;
  background-color: #fff;
  overflow: hidden;
}

.container1 form .fields{
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}

/* form .fields .input-field{
  display: flex;
  width: calc(100% / 3 - 15px);
  flex-direction: column;
  margin: 4px 0;
}

.input-field label{
  font-size: 16px;
  font-weight: 500;
  color: #2e2e2e;
}

.input-field input, select{
  outline: none;
  font-size: 14px;
  font-weight: 400;
  color: #333;
  border-radius: 5px;
  border: 1px solid #aaa;
  padding: 0 15px;
  height: 42px;
  margin: 8px 0;
  min-width: 200px;
} */

.button-container {
text-align: right; 
}

.button-container .save-btn {
background-color: DodgerBlue;
color: white;
padding: 10px 20px;
border: none;
cursor: pointer;
margin-right: 10px;
width: 110px;
border-radius: 6px;
margin-top: 10px;
margin-bottom: 28px;
}

.button-container .cancel-btn {
background-color: #f44336;
color: white;
padding: 10px 20px;
border: none;
cursor: pointer;
width: 110px;
border-radius: 6px;
}

.container2 {
display: flex;
justify-content: space-between;
align-items: center;
margin-bottom: 20px;
}

.form-group {
margin-right: 10px; 
vertical-align: middle; 
margin-left: 10px;
}

.button-container2 {
margin-left: auto;
}

.action-options {
display: none;
position: absolute;
background-color: #fff;
border: 1px solid #ccc;
box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
z-index: 1;
width: 130px;
}

.action-dropdown.active .action-options {
display: block;
}

.action-dropdown1.active .action-options1 {
display: block;
}

.action-options button {
display: block;
justify-content: flex-start;
align-items: center;
width: 100%;
padding: 8px 16px;
text-align: left;
border: none;
background-color: transparent;
cursor: pointer;
}

.action-options1 button {
display: block;
justify-content: flex-start;
align-items: center;
width: 100%;
padding: 8px 16px;
text-align: left;
border: none;
background-color: transparent;
cursor: pointer;
}

.action-options a {
display: block;
justify-content: flex-start;
align-items: center;
width: 100%;
padding: 8px 16px;
text-align: left;
border: none;
background-color: transparent;
cursor: pointer;
}

.action-options1 a {
display: block;
justify-content: flex-start;
align-items: center;
width: 100%;
padding: 8px 16px;
text-align: left;
border: none;
background-color: transparent;
cursor: pointer;
}

.action-options button:hover {
background-color: #f2f2f2;
}

.action-options1 button:hover {
background-color: #f2f2f2 !important;
}

.action-options a:hover {
background-color: #f2f2f2;
}

.action-options1 a:hover {
background-color: #f2f2f2;
}

.action-options button i {
  margin-right: 8px;
  font-size: 16px;
  vertical-align: middle;
}
 
.action-options1 button i {
margin-left: 20px;
}

.action-options a i {
margin-left: 20px;
}

.action-options1 a i {
margin-left: 20px;
}

#downloadButton {
display: inline-block;
background-color: #007bff;
color: #fff;
border: none;
border-radius: 5px;
cursor: pointer;
font-size: 11px;
width: 150px; 
height: 38px;
margin-top: 30px;
margin-bottom: 24px;
}

#downloadButton:hover {
background-color: #0056b3;
}

#btnValidate {
display: inline-block;
padding: 10px 20px;
background-color: red;
color: #fff;
border: none;
border-radius: 5px;
cursor: pointer;
font-size: 11px;
width: 150px; 
height: 38px;
margin-top: 30px;
margin-bottom: 24px;
}

#btnValidate:hover {
background-color: red;
}

/* Style for the modal */
/* .modal-background1 {
display: none;
position: fixed;
top: 50%;
left: 50%;
width: 100%;
height: 100%;
background-color: rgba(0, 0, 0, 0.5);
z-index: 999;
justify-content: center;
align-items: center;
transform: translate(-50%, -50%);
padding: 20px;
padding-top: 100px;
overflow-y: auto;
} */
/* 
.modal-background2 {
display: none;
position: fixed;
top: 50%;
left: 50%;
width: 100%;
height: 100%;
background-color: rgba(0, 0, 0, 0.5);
z-index: 999;
justify-content: center;
align-items: center;
transform: translate(-50%, -50%);
padding: 20px;
padding-top: 20px;
overflow-y: auto;
}

.modal-content1 {
background-color: #fff;
border-radius: 6px;
padding: 30px;
box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
width: 100%;
max-width: 1000px;
display: flex;
flex-direction: column;
flex-wrap: wrap;
justify-content: space-between;
z-index: 1000;
}

.modal-content2 {
background-color: #fff;
border-radius: 6px;
padding: 30px;
box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
width: 100%;
max-width: 1000px;
display: flex;
flex-direction: column;
flex-wrap: wrap;
justify-content: space-between;
z-index: 1000;
}

.modal-content3 {
background-color: #fff;
border-radius: 6px;
padding: 30px;
box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
width: 100%;
display: flex;
flex-direction: column;
flex-wrap: wrap;
justify-content: space-between;
z-index: 1000;
min-width: 100%;
min-height: 900px;
} */

.column-left {
flex: 1;
padding-right: 15px;
}

.column-right {
flex: 1;
padding-left: 15px;
}
.modal-content3 {
  background-color: #fff;
  border-radius: 6px;
  padding: 30px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  width: 1200px;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: space-between;
  z-index: 1200px;
  min-width: 100%;
  min-height: 900px;
}
.modal-content3 label {
  font-size: 16px;
  font-weight: 500;
  color: #333;
}
.modal-content3 input[type="text"] {
  outline: none;
  font-size: 14px;
  font-weight: 400;
  color: #333;
  border-radius: 5px;
  border: 1px solid #aaa;
  padding: 0 15px;
  height: 42px;
  margin: 8px 0;
  width: 100%;
}
.modal-content3 textarea {
  outline: none;
  font-size: 14px;
  font-weight: 400;
  color: #333;
  border-radius: 5px;
  border: 1px solid #aaa;
  padding: 0 15px;
  height: 100px;
  margin: 8px 0;
  width: 100%;
}
/* 
.modal-content1 label {
font-size: 16px;
font-weight: 500;
color: #333;
}

.modal-content2 label {
font-size: 16px;
font-weight: 500;
color: #333;
}

.modal-content3 label {
font-size: 16px;
font-weight: 500;
color: #333;
}

.modal-content1 input[type="text"] {
outline: none;
font-size: 14px;
font-weight: 400;
color: #333;
border-radius: 5px;
border: 1px solid #aaa;
padding: 0 15px;
height: 42px;
margin: 8px 0;
width: 100%;
}

.modal-content2 input[type="text"] {
outline: none;
font-size: 14px;
font-weight: 400;
color: #333;
border-radius: 5px;
border: 1px solid #aaa;
padding: 0 15px;
height: 42px;
margin: 8px 0;
width: 100%;
}

.modal-content3 input[type="text"] {
outline: none;
font-size: 14px;
font-weight: 400;
color: #333;
border-radius: 5px;
border: 1px solid #aaa;
padding: 0 15px;
height: 42px;
margin: 8px 0;
width: 100%;
}

.modal-content2 select {
outline: none;
font-size: 14px;
font-weight: 400;
color: #333;
border-radius: 5px;
border: 1px solid #aaa;
padding: 0 15px;
height: 42px;
margin: 8px 0;
width: 100%;
}

.modal-content1 textarea {
outline: none;
font-size: 14px;
font-weight: 400;
color: #333;
border-radius: 5px;
border: 1px solid #aaa;
padding: 0 15px;
height: 100px;
margin: 8px 0;
width: 100%;
}

.modal-content2 textarea {
outline: none;
font-size: 14px;
font-weight: 400;
color: #333;
border-radius: 5px;
border: 1px solid #aaa;
padding: 0 15px;
height: 300px;
margin: 8px 0;
width: 100%;
}

.modal-content3 textarea {
outline: none;
font-size: 14px;
font-weight: 400;
color: #333;
border-radius: 5px;
border: 1px solid #aaa;
padding: 0 15px;
height: 100px;
margin: 8px 0;
width: 100%;
} */

.close-btn {
display: flex;
align-items: center;
justify-content: center;
height: 45px;
border: none;
outline: none;
color: #fff;
border-radius: 5px;
margin-top: 10px;
margin-bottom: 10px;
background-color: #8592a3;
cursor: pointer;
width: 140px;
}

.acknowledge-btn {
display: flex;
align-items: center;
justify-content: center;
height: 45px;
border: none;
outline: none;
color: #fff;
border-radius: 5px;
margin-top: 10px;
margin-bottom: 10px;
background-color: #696cff;
cursor: pointer;
width: 140px;
}

.update-btn {
display: flex;
align-items: center;
justify-content: center;
height: 45px;
border: none;
outline: none;
color: #fff;
border-radius: 5px;
margin-top: 10px;
margin-bottom: 10px;
background-color: #696cff;
cursor: pointer;
width: 140px;
}


.release-btn {
display: flex;
align-items: center;
justify-content: center;
height: 45px;
border: none;
outline: none;
color: #fff;
border-radius: 5px;
margin-top: 10px;
margin-bottom: 10px;
background-color: #696cff;
cursor: pointer;
width: 140px;
}

.flowback-btn {
display: flex;
align-items: center;
justify-content: center;
height: 45px;
border: none;
outline: none;
color: #fff;
border-radius: 5px;
margin-top: 10px;
margin-bottom: 10px;
background-color: #ff3e1d;
cursor: pointer;
width: 140px;
}

.modal-content1 button:hover {
background-color: #265df2;
}

.modal-content2 button:hover {
background-color: #265df2;
}

.modal-content3 button:hover {
background-color: #265df2;
}

.close-button1 {
position: absolute;
top: 10px;
right: 10px;
cursor: pointer;
}

.input-column1 {
display: flex;
justify-content: space-between;
}

/* .input-field1 {
width: 48%;
} */

.button-container1 {
display: flex;
justify-content: flex-end;
}

.button-container1 button {
margin-left: 10px;
}

.table{
margin-top: 10px;
}

#updateForm {
width: 100%;
max-width: 1000px;
}

/* #viewForm {
width: 100%;
max-width: 1000px;
} */

#emailForm {
width: 100%;
max-width: 1000px;
position: fixed;
top: 50%;
left: 50%;
transform: translate(-50%, -50%);
}

/* Style for the tabs */
.tab-container {
  display: flex;
  flex-direction: column;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  min-width: 1000px;
  margin: 0 auto;
}
 
.tab-menu {
  display: flex;
  list-style-type: none;
  margin: 0;
  padding: 0;
  background-color: #fff;
  border-radius: 8px 8px 0 0;
  border: 1px solid #ccc;
  border-bottom: 0;
}
 
.tab-menu-item {
  cursor: pointer;
  padding: 10px 20px;
  margin-right: 5px;
  color: #000;
  transition: background-color 0.2s;
}
 
.tab-menu-item.active {
  color: #0E86D4;
}
 
.tab-content {
  border: 1px solid #ccc;
  border-top: 0;
  padding: 20px;
  padding-top: 0;
  padding-bottom: 2;
  border-radius: 0 0 8px 8px;
  background-color: #fff;
}
 
.tab-pane {
  display: none;
}
 
.tab-pane.active {
  display: block;
}
 
.table-td {
  padding: 8px;
  border: 1px solid #ddd;
  border-left: 0;
  border-right: 0;
}
 
#tableContainer {
  max-height: 260px; /* Set the maximum height for the table container */
  overflow-y: auto; /* Add vertical scrollbar if content exceeds the height */
}
.table-container1 {
  max-height: 100%;
  overflow-y: auto; 
}
.table-container2 {
  max-height: 390px;
  overflow-y: auto; 
}
.modal-title {
  color: black;
}

/* LYCAAAAAAAAAAAAAA */

.scrollable-table {
  overflow-y: auto;
  max-height: 300px; /* You can adjust this value as per your need */
}

/* .udmodal.modal {
  background: rgba(0, 0, 0, 0.5);
} */

/* .udmodal .modal-content {
  border-radius: 10px;
  height: 100%;
} */
/* 
.udmodal .modal-title {
  font-size: 1.25rem;
}


.udmodal .close {
  color: #10416A; 
}

.udmodal .modal-body {
  padding: 20px; 
}


.udmodal .form-group {
  margin-bottom: 20px;
}

.udmodal label {
  font-weight: bold;
}

.udmodal .modal-footer {
  border-top: none; 
}


.udmodal .modal-dialog {
  max-width: 60%;
  height: 50%;
}

.udmodal label, .inp{
  font-size: 13px;
  font-family: 'Lato', sans-serif;
}

.udmodal .inpu {
  font-size: 13px;
  font-family: 'Lato', sans-serif;
  height: 35px;
}  */

.sltUserType {
  width: 100%;
  height: 38px;
  border: 0.5px solid #e0e0e0;
  border-radius: 6px;
  background-color: #fff;
  cursor: pointer;
  outline: none;
}

#openAddUserModal{
  margin-top: -2px;
  height: 44px;
  width: 105px;
}

#openAddProjectModal{
  margin-top: -2px;
  height: 44px;
  width: 105px;
}

.tab-content{
  margin-top: 20px;
}

#errorModal {
  height: 190%;
}

/* Set the height of the modal body to 100% minus the modal header and footer heights */
#errorModal .modal-body {
  height: 100%;
}

/* Style for the modal */
.modal-background1 {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 999;
  justify-content: center;
  align-items: center;
  transform: translate(-50%, -50%);
  padding: 20px;
  padding-top: 20px;
  overflow-y: auto;
}
 
.modal-background2 {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 999;
  justify-content: center;
  align-items: center;
  transform: translate(-50%, -50%);
  padding: 20px;
  padding-top: 180px;
  overflow-y: auto;
}
 
.modal-content1 {
  background-color: #fff;
  border-radius: 6px;
  padding: 30px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  width: 100%;
  max-width: 1000px;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: space-between;
  z-index: 1000;
}
 
.modal-content2 {
  background-color: #fff;
  border-radius: 6px;
  padding: 30px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  width: 100%;
  max-width: 1000px;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: space-between;
  z-index: 1000;
}
 
.modal-content3 {
  background-color: #fff;
  border-radius: 6px;
  padding: 30px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  width: 100%;
  max-width: 1000px;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: space-between;
  z-index: 1000;
}
 
.column-left {
  flex: 1;
  padding-right: 15px;
}
 
.column-right {
  flex: 1;
  padding-left: 15px;
}
 
.modal-content1 label {
  font-size: 16px;
  font-weight: 500;
  color: #333;
}
 
.modal-content2 label {
  font-size: 16px;
  font-weight: 500;
  color: #333;
}
 
.modal-content3 label {
  font-size: 16px;
  font-weight: 500;
  color: #333;
}
 
.modal-content1 input[type="text"] {
  outline: none;
  font-size: 14px;
  font-weight: 400;
  color: #333;
  border-radius: 5px;
  border: 1px solid #aaa;
  padding: 0 15px;
  height: 42px;
  margin: 8px 0;
  width: 100%;
}
 
.modal-content2 input[type="text"] {
  outline: none;
  font-size: 14px;
  font-weight: 400;
  color: #333;
  border-radius: 5px;
  border: 1px solid #aaa;
  padding: 0 15px;
  height: 42px;
  margin: 8px 0;
  width: 100%;
}
 
.modal-content3 input[type="text"] {
  outline: none;
  font-size: 14px;
  font-weight: 400;
  color: #333;
  border-radius: 5px;
  border: 1px solid #aaa;
  padding: 0 15px;
  height: 42px;
  margin: 8px 0;
  width: 100%;
}
 
.modal-content2 select {
  outline: none;
  font-size: 14px;
  font-weight: 400;
  color: #333;
  border-radius: 5px;
  border: 1px solid #aaa;
  padding: 0 15px;
  height: 42px;
  margin: 8px 0;
  width: 100%;
}
 
.modal-content1 textarea {
  outline: none;
  font-size: 14px;
  font-weight: 400;
  color: #333;
  border-radius: 5px;
  border: 1px solid #aaa;
  padding: 0 15px;
  height: 100px;
  margin: 8px 0;
  width: 100%;
}
 
.modal-content2 textarea {
  outline: none;
  font-size: 14px;
  font-weight: 400;
  color: #333;
  border-radius: 5px;
  border: 1px solid #aaa;
  padding: 0 15px;
  height: 300px;
  margin: 8px 0;
  width: 100%;
}
 
.modal-content3 textarea {
  outline: none;
  font-size: 14px;
  font-weight: 400;
  color: #333;
  border-radius: 5px;
  border: 1px solid #aaa;
  padding: 0 15px;
  height: 100px;
  margin: 8px 0;
  width: 100%;
}
 
.close-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 45px;
  border: none;
  outline: none;
  color: #fff;
  border-radius: 5px;
  margin-top: 10px;
  margin-bottom: 10px;
  background-color: #8592a3;
  cursor: pointer;
  width: 140px;
}
 
.save-button {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 45px;
  border: none;
  outline: none;
  color: #fff;
  border-radius: 5px;
  margin-top: 10px;
  margin-bottom: 10px;
  background-color: #696cff;
  cursor: pointer;
  width: 140px;
}
 
 
.modal-content1 button:hover {
  background-color: #265df2;
}
 
.modal-content2 button:hover {
  background-color: #265df2;
}
 
.modal-content3 button:hover {
  background-color: #265df2;
}
 
.close-button1 {
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
}
 
.input-column1 {
  display: flex;
  justify-content: space-between;
}
 
.input-field1 {
  width: 48%;
}

#myDataTable {
  width: 100%;
}
 
/* .button-container1 {
  display: flex;
  justify-content: flex-end;
}
 
.button-container1 button {
  margin-left: 10px;
} */
 
.table{
  margin-top: 10px;
}
 
#updateForm {
  width: 100%;
  max-width: 1000px;
}
 
/* #viewForm {
  width: 100%;
  max-width: 1000px;
}
  */
#emailForm {
  width: 100%;
  max-width: 1000px;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/* .container1{
    position: relative;
    width: 100%;
    border-radius: 6px;
    padding: 30px;
    background-color: #fff;
    box-shadow: 0 5px 10px rgba(0,0,0,0.1);
}
 
.container1 form{
    position: relative;
    margin-top: 16px;
    background-color: #fff;
    overflow: hidden;
}
 
.container1 form .fields{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
} */
 
.button-container {
  text-align: right;
}
 
.button-container .save-btn {
  background-color: DodgerBlue;
  color: white;
  padding: 10px 20px;
  border: none;
  cursor: pointer;
  margin-right: 10px;
  width: 110px;
  border-radius: 6px;
  margin-top: 10px;
  margin-bottom: 28px;
}
 
.button-container .cancel-btn {
  background-color: #f44336;
  color: white;
  padding: 10px 20px;
  border: none;
  cursor: pointer;
  width: 110px;
  border-radius: 6px;
}
 
/* .container2 {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
}
 
 
.button-container2 {
  margin-left: auto;
} */
 
.action-dropdown {
  position: relative;
  display: inline-block;
}
 
.action-icon {
  background: none;
  border: none;
  cursor: pointer;
  font-size: 20px;
  padding: 0;
}
 
.action-dropdown1 {
  position: relative;
  display: inline-block;
}
 
.action-icon1 {
  background: none;
  border: none;
  cursor: pointer;
  font-size: 20px;
  padding: 0;
}
 
.action-options1 {
  display: none;
  position: absolute;
  background-color: #fff;
  border: 1px solid #ccc;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
  z-index: 1;
  width: 130px;
}

.input-group.date .input-group-addon {
  width: 40px;
}

.input-group-addon .input-group-text i {
  font-size: 23px;
}

.input-group-addon {
  padding: 0;
}

.modal-body .form-control {
    margin-bottom: 5px;
}

/* .modal-content {
    padding: 20px;
} */

.nav-tabs .nav-item {
    flex: 1;
    text-align: center;
}

.centered-header {
  text-align: center;
}

.centered-cell {
  text-align: center;
}


.modal-header .close-button {
  color: #10416A;
}

.form-group input {
  background-color: white;
}

.btn-cancel {
  background-color: white;
  color: #10416A;
}

.btn-save {
  background-color: #10416A;
  color: white;
}

.custom-modal {
  max-width: 600px;
  width: 90%;
}

.close-icon {
  color: #10416A;
}


/* CSS for the form elements */
#updateUserForm .form-group {
  margin-bottom: 10px;
}

#updateUserForm label {
  font-size: 16px;
  font-family: 'Poppins', sans-serif;
  font-weight: 400;
}

#updateUserForm input[type="text"],
#updateUserForm select {
  width: 100%;
  padding: 5px;
  font-size: 14px;
  font-family: 'Poppins', sans-serif;
}


#myTabs {
  margin-top: 20px;
}


@media (max-width: 768px) {
  #myTabs .nav-item {
      width: 100%;
  }
}


#projectTaskTable {
  width: 100%;
  font-size: 14px;
  font-family: 'Lato', sans-serif;
}

#projectTaskTable thead th {
  text-align: center;
}

#projectTaskTable td {
  text-align: center;
}

#accessRightsPane .form-check {
  margin-bottom: 10px;
}

#reportsPane .form-check {
  margin-bottom: 10px;
}

.inp {
  margin-top: 10px;
}

.tabLbl {
  font-size: 14px;
  font-family: 'Lato', sans-serif;
}

.form-group-d-flex {
  display: flex;
  align-items: center;
  flex-direction: column;
}



.table-scrollable {
  height: 350px;
  overflow-y: scroll;
}

#projTabs {
  margin-top: 20px;
}


@media (max-width: 768px) {
  #projTabs .nav-item {
      width: 100%;
  }
}

.accu{
  margin-top: 10px;
}

.error-table-scrollable {
  height: 530px;
  overflow-y: scroll;
}
#errorListTable {
  width: 100%; /* Set the desired width here, such as 100% for full width */
} 

.tab-content3 {
  border: 1px solid #ccc;
  border-top: 0;
  padding: 20px;
  padding-top: 0;
  padding-bottom: 2;
  border-radius: 0 0 8px 8px;
  background-color: #fff;
}
.time-lapse-badge {
  display: inline-block;
  padding: 0.25em 0.6em;
  font-size: 90%;
  font-weight: 700;
  line-height: 1;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
  border-radius: 0.25rem;
  color: white;
}

.time-lapse-badge.green { background-color: green; }
.time-lapse-badge.orange { background-color: orange; }
.time-lapse-badge.red { background-color: red; }
.blue {
    background-color: blue;
    /* Other styling as needed */
}


.scrollable-table {
  max-height: calc(80vh - 220px);
  overflow-y: auto;
}

.scrollable-table::-webkit-scrollbar {
  width: 5px;
}

.scrollable-table::-webkit-scrollbar-track {
  background-color: #f1f1f1;
  border-radius: 10px;
}

.scrollable-table::-webkit-scrollbar-thumb {
  background-color: #888;
  border-radius: 10px;
  cursor: grab;
}

.scrollable-table::-webkit-scrollbar-thumb:active {
  cursor: grabbing;
}


.modal-dialog::-webkit-scrollbar {
  width: 5px;
}

.modal-dialog::-webkit-scrollbar-track {
  background-color: #f1f1f1;
  border-radius: 10px;
}

.modal-dialog::-webkit-scrollbar-thumb {
  background-color: #888;
  border-radius: 10px;
}

.modal-dialog::-webkit-scrollbar-thumb:hover {
  background-color: #555;
}

.modal-dialog::-webkit-scrollbar-thumb:active {
  background-color: #555;
}

.modal-dialog {
  max-height: calc(100vh - 60px);
  overflow-y: auto;
}

.modal-content {
  overflow-y: auto;
  height: calc(100vh - 60px);
  padding: 2%;
  color: black;
}

.modal-content::-webkit-scrollbar {
  width: 5px;
}

.modal-content::-webkit-scrollbar-track {
  background-color: #f1f1f1;
  border-radius: 10px;
}

.modal-content::-webkit-scrollbar-thumb {
  background-color: #888;
  border-radius: 10px;
  cursor: grab;
}

.modal-content::-webkit-scrollbar-thumb:active {
  cursor: grabbing;
}
